#ifndef JobTraceSyntaxHighlighter_h
#define JobTraceSyntaxHighlighter_h
// $Id: JobTraceSyntaxHighlighter.h,v 1.2 2012/01/12 09:42:19 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "Counter.h"

#include <QtGui/QSyntaxHighlighter>
#include <QtGui/QTextDocument>

class JobTraceSyntaxHighlighter: public QSyntaxHighlighter, public Counter
{

    Q_OBJECT

    public:

    //! constructor from document
    JobTraceSyntaxHighlighter( QTextDocument* );

    //! destructor
    virtual ~JobTraceSyntaxHighlighter( void )
    {}

    protected:

    //! highlight
    virtual void highlightBlock( const QString& );

    private slots:

    void _updateConfiguration( void );

    private:

    //! matching regexp
    QRegExp regExp_;

    //!@name colors
    //@{

    QColor traceColor_;
    QColor stateColor_;
    QColor procColor_;
    QColor submitColor_;

    //@}
};

#endif
