#ifndef LogDialog_h
#define LogDialog_h

// $Id: LogDialog.h,v 1.7 2012/08/05 15:22:43 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CustomDialog.h"

#include <QtGui/QCloseEvent>

class LogWidget;

//! display command output
class LogDialog:public CustomDialog
{

    //! Qt meta object declaration
    Q_OBJECT

    public:

    //! constructor
    LogDialog( QWidget* parent = 0 );

    //! editor
    LogWidget& editor( void )
    { return *editor_; }

    signals:

    //! emmitted when hidden
    void dialogHidden( void );

    protected:

    //! hide event
    virtual void closeEvent( QCloseEvent* );

    private:

    //! text editor
    LogWidget* editor_;

};

#endif
